#
# spec file for package rubygem-rest-client
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rest-client
Version:        1.7.3
Release:        6.3
%define mod_name rest-client
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/rest-client/rest-client
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Simple HTTP and REST client for Ruby, inspired by microframework
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
A simple HTTP and REST client for Ruby, inspired by the Sinatra microframework
style of specifying actions: get, put, post, delete.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.rdoc history.md" \
  -f

%gem_packages

%changelog
* Fri Feb 20 2015 coolo@suse.com
- updated to version 1.7.3
* Wed Nov 12 2014 coolo@suse.com
- updated to version 1.7.2
  - Ignore duplicate certificates in CA store on Windows
  [#] 1.7.1
  - Relax mime-types dependency to continue supporting mime-types 1.x series.
  There seem to be a large number of popular gems that have depended on
  mime-types '~> 1.16' until very recently.
  - Improve urlencode performance
  - Clean up a number of style points
  [#] 1.7.0
  - This release drops support for Ruby 1.8.7 and breaks compatibility in a few
  other relatively minor ways
  - Upgrade to mime-types ~> 2.0
  - Don't CGI.unescape cookie values sent to the server (issue #89)
  - Add support for reading credentials from netrc
  - Lots of SSL changes and enhancements: (#268)
  - Enable peer verification by default (setting `VERIFY_PEER` with OpenSSL)
  - By default, use the system default certificate store for SSL verification,
    even on Windows (this uses a separate Windows build that pulls in ffi)
  - Add support for SSL `ca_path`
  - Add support for SSL `cert_store`
  - Add support for SSL `verify_callback` (with some caveats for jruby, OS X, #277)
  - Add support for SSL ciphers, and choose secure ones by default
  - Run tests under travis
  - Several other bugfixes and test improvements
  - Convert Errno::ETIMEDOUT to RestClient::RequestTimeout
  - Handle more HTTP response codes from recent standards
  - Save raw responses to binary mode tempfile (#110)
  - Disable timeouts with :timeout => nil rather than :timeout => -1
  - Drop all Net::HTTP monkey patches
* Wed Oct 22 2014 tboerger@suse.com
- Made it really aware of new macros
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Mar 28 2014 coolo@suse.com
- regenerate with new template
* Fri Oct  7 2011 fcastelli@suse.com
- Udate to 1.6.7
* Wed Aug 24 2011 fcastelli@novell.com
- add provides rubygem-rest-client-1_6
* Sun Nov 14 2010 mrueckert@suse.de
- update to version 1.6.1
* Tue Jun 22 2010 mrueckert@suse.de
- add 1.4.2
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.5.1
  - only converts headers keys which are Symbols
  - use CGI for cookie parsing instead of custom code
  - unescape user and password before using them (patch provided by
    Lars Gierth)
  - expand ~ in ~/.restclientrc (patch provided by Mike Fletcher)
  - ssl verification raise an exception when the ca certificate is
    incorrect (patch provided by Braintree)
- additional changes from version 1.5.0
  - the response is now a String with the Response module a.k.a.
    the change in 1.4.0 was a mistake (Response.body is returning
    self for compatability)
  - added AbstractResponse.to_i to improve semantic
  - multipart Payloads ignores the name attribute if it's not set
    (patch provided by Tekin Suleyman)
  - correctly takes into account user headers whose keys are
    strings (path provided by Cyril Rohr)
  - use binary mode for payload temp file
  - concatenate cookies with ';'
  - fixed deeper parameter handling
  - do not quote the boundary in the Content-Type header (patch
    provided by W. Andrew Loe III)
- additional changes from version 1.4.2
  - fixed RestClient.add_before_execution_proc (patch provided by
    Nicholas Wieland)
  - fixed error when an exception is raised without a response
    (patch provided by Caleb Land)
- additional changes from version 1.4.1
  - fixed parameters managment when using hash
- additional changes from version 1.4.0
  - Response is no more a String, and the mixin is replaced by an
    abstract_response, existing calls are redirected to response
    body with a warning.
  - enable repeated parameters  RestClient.post
    'http://example.com/resource', :param1 => ['one', 'two',
    'three'], => :param2 => 'foo' (patch provided by Rodrigo
    Panachi)
  - fixed the redirect code concerning relative path and query
    string combination (patch provided by Kevin Read)
  - redirection code moved to Response so redirection can be
    customized using the block syntax
  - only get and head redirections are now followed by default, as
    stated in the specification
  - added RestClient.add_before_execution_proc to hack the http
    request, like for oauth
  The response change may be breaking in rare cases.
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Feb 18 2010 prusnak@suse.cz
- updated to 1.3.1
* Wed Jan  6 2010 prusnak@suse.cz
- updated to 1.2.0
* Fri Dec 25 2009 prusnak@suse.cz
- update to 1.0.4
* Sat Aug 29 2009 dmacvicar@novell.com
- initial package for 1.0.3
